<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\KursUebersicht\DrucklistenAllgemein\Drucklisten\ShowSettingsKurseListen;


abstract class ShowSettingsDruckListenAllgemeinController extends \Kufer\KuferTools\Basis\DrucklistenAllgemein\Drucklisten\ShowSettingsKurseListen\ShowSettingsDruckListenAllgemeinController
{
  
  abstract protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase;

  protected function getNewRequestObj(): \Kufer\KuferTools\Basis\DrucklistenAllgemein\Drucklisten\ShowSettingsKurseListen\ShowSettingsDruckListenAllgemeinRequest
  {
    return new ShowSettingsDruckListenAllgemeinRequest();
  }

  
  protected function getRequestObj()
  {
    $requestObj = parent::getRequestObj();
    $requestObj->dnr = \GetOperations::getVarValue('dnr', -1);

    return $requestObj;
  }

  
  abstract protected function getPresenter($pUseCaseResponse);
}